Subject: bug#63438: 30.0.50; abbrev mode wrongly capitalizes with mixed capitalized words

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 May 2023 16:09:27 +0300

> From: Daniel Fleischer <[email-masked]>
> Date: Thu, 11 May 2023 14:28:12 +0300
> 
> Maybe some context: I think some people, at least me, use abbrev mode to
> properly capitalize words with unique casing, needs not met by regular
> capitalization rules. It means abbrev keys and values sometimes contain
> the same word but with different casing. That's why I want nothing to
> happen when the user writes a word with the right casing, making an
> abbrev expansion unnecessary. 

I agree that your use pattern has a place, and have nothing against
implementing it.  I just don't think we can change to it
unconditionally.  So a new user option is in order, or perhaps a new
value of abbrev-all-caps.